/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_AXIS_Z_H__
#define __G_SEIS_VIEW_AXIS_Z_H__

#include <gtkseisviewgl/gseispalette.h>
#include <gtkseisviewgl/gseisviewaxis.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_AXIS_Z            (g_seis_view_axis_z_get_type ())
#define G_SEIS_VIEW_AXIS_Z(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_AXIS_Z, GSeisViewAxisZ))
#define G_SEIS_VIEW_AXIS_Z_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_AXIS_Z, GSeisViewAxisZClass))
#define G_SEIS_IS_VIEW_AXIS_Z(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_AXIS_Z))
#define G_SEIS_IS_VIEW_AXIS_Z_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_AXIS_Z))
#define G_SEIS_VIEW_AXIS_Z_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_AXIS_Z, GSeisViewAxisZClass))

typedef struct _GSeisViewAxisZ GSeisViewAxisZ;
typedef struct _GSeisViewAxisZClass GSeisViewAxisZClass;

typedef enum {
  G_SEIS_VIEW_AXIS_Z_INTEGER,
  G_SEIS_VIEW_AXIS_Z_FLOAT
} GSeisViewAxisZFormat;

struct _GSeisViewAxisZ {
    GSeisViewAxis parent;
};

struct _GSeisViewAxisZClass {
    GSeisViewAxisClass parent_class;
};

GType g_seis_view_axis_z_get_type (void);

GSeisViewAxisZ* g_seis_view_axis_z_new (void);

void g_seis_view_axis_z_set_min_max (GSeisViewAxisZ *axis, gdouble min_value,
                                     gdouble values_step, guint32 total_number);
void g_seis_view_axis_z_set_format (GSeisViewAxisZ *axis, GSeisViewAxisZFormat format);
void g_seis_view_axis_z_set_precision (GSeisViewAxisZ* axis, guint8 precision);
void g_seis_view_axis_z_set_font (GSeisViewAxisZ *axis, const gchar *font_name);
void g_seis_view_axis_z_set_fg_color (GSeisViewAxisZ *axis, const GSeisColor *fg_color);
void g_seis_view_axis_z_set_bg_color (GSeisViewAxisZ *axis, const GSeisColor *bg_color);

G_END_DECLS

#endif /* __G_SEIS_VIEW_AXIS_Z_H__ */
