/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2007 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_PAINTER_ARRAY_H__
#define __G_SEIS_VIEW_PAINTER_ARRAY_H__

#include <gtkseisviewgl/gseispalette.h>
#include <gtkseisviewgl/gseisviewpainter.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_PAINTER_ARRAY            (g_seis_view_painter_array_get_type ())
#define G_SEIS_VIEW_PAINTER_ARRAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_PAINTER_ARRAY, GSeisViewPainterArray))
#define G_SEIS_VIEW_PAINTER_ARRAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_PAINTER_ARRAY, GSeisViewPainterArrayClass))
#define G_SEIS_IS_VIEW_PAINTER_ARRAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_PAINTER_ARRAY))
#define G_SEIS_IS_VIEW_PAINTER_ARRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_PAINTER_ARRAY))
#define G_SEIS_VIEW_PAINTER_ARRAY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_PAINTER_ARRAY, GSeisViewPainterArrayClass))

typedef struct _GSeisViewPainterArray GSeisViewPainterArray;
typedef struct _GSeisViewPainterArrayClass GSeisViewPainterArrayClass;

struct _GSeisViewPainterArray {
    GSeisViewPainter parent;
};

struct _GSeisViewPainterArrayClass {
    GSeisViewPainterClass parent_class;
};

GType g_seis_view_painter_array_get_type (void);

GSeisViewPainterArray* g_seis_view_painter_array_new (void);

void g_seis_view_painter_array_set_array (GSeisViewPainterArray *painter, GArray *values);
void g_seis_view_painter_array_set_scale (GSeisViewPainterArray *painter, gfloat factor);
void g_seis_view_painter_array_set_zero_shift (GSeisViewPainterArray *painter, gfloat shift);
void g_seis_view_painter_array_set_color (GSeisViewPainterArray *painter, const GSeisColor *bg_color);
void g_seis_view_painter_array_draw_inverse (GSeisViewPainterArray *painter, gboolean inverse);
void g_seis_view_painter_array_draw_absval (GSeisViewPainterArray *painter, gboolean absval);

G_END_DECLS

#endif /* __G_SEIS_VIEW_PAINTER_ARRAY_H__ */
